Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support label

POST/workspaces/{organizationId}/support/labels
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
colorstring
Responses
201

Support label created

labelobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
namestringrequired
colorstring | nullrequired
kindstringrequired
Allowed:issuesupport
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/support/labels' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "color": "string"
}'
Response
{
  "label": {
    "id": "string",
    "organizationId": "string",
    "name": "string",
    "color": "string",
    "kind": "issue",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}

Was this page helpful?